# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Convert-Scalar
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt7_11
Summary:    Convert-Scalar module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Canary/Stability.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl-devel
Source44: import.info

%description
This module exports various internal perl methods that change the internal
representation or state of a perl scalar. All of these work in-place, that is,
they modify their scalar argument. No functions are exported by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_CANARY_STABILITY_NOPROMPT=1
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.yml README
%{perl_vendor_archlib}/Convert/Scalar.pm
%{perl_vendor_archlib}/auto/Convert/Scalar


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 1.12-alt7_11
- update by mgaimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 1.12-alt7_10
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.12-alt6_10
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.12-alt6_9
- update by mgaimport

* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 1.12-alt6_8
- update by mgaimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.12-alt6_7
- rebuild to get rid of unmets

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 1.12-alt5_7
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.12-alt4_7
- rebuild with perl 5.30

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.12-alt3_7
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.12-alt3_6
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.12-alt3_5
- update by mgaimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.12-alt3_4
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.12-alt2_4
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 1.12-alt2_3
- update by mgaimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.12-alt2_2
- rebuild with perl 5.26

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1_2
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1_1
- update by mgaimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1_4
- update by mgaimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.11-alt3_3
- rebuild to get rid of unmets

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 1.11-alt2_3
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 1.11-alt2_2
- update by mgaimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 1.11-alt2_1
- rebuild to get rid of unmets

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1_1
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt4_8
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt4_7
- rebuild to get rid of unmets

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt3_7
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt3_6
- rebuild to get rid of unmets

* Tue Jun 03 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_6
- update by mgaimport

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_5
- mga update

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt2_4
- rebuild with new perl

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_4
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_2
- converted for ALT Linux by srpmconvert tools

